Skip to content

Create Stored Object.

PUT
/api/object_store/namespaces/{namespace}/stored_objects/{object_type}/{name}
curl --request PUT \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/object_store/namespaces/example/stored_objects/example/example \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: application/json' \
--data '{ "bytes_value": "example", "content_format": "example", "description": "example", "mobile_app_shield": { "os_type": "ANDROID", "release_version": "example" }, "mobile_integrator": { "os_type": "ANDROID", "release_version": "example" }, "mobile_sdk": { "os_type": "ANDROID", "release_version": "example" }, "name": "example", "namespace": "example", "no_attributes": {}, "object_type": "example", "string_value": "example", "mobile_sdk_self_serve": { "os_type": "ANDROID", "release_version": "example" } }'

CreateObject is an API to upload an object to generic object store. Objects are immutable, a new version is created when the content is updated.

Examples of this operation.

namespace
required
string

Namespace x-required Namespace in which object is to be created.

object_type
required
string

Object_type x-required Type of the stored_object.

name
required
string

Name x-required Name of the stored_object.

Media typeapplication/json
CreateObjectRequest

Request message for CreateObject API.

object
bytes_value
bytes_value

Exclusive with [string_value] Binary object contents. Should be encoded in base64 scheme.

string format: byte
<= 5242880 <= 1024 characters
content_format
content_format

The optional content format associated with object.

string
<= 1024 characters
description
description

The optional description associated with object.

string
>= 21 characters <= 512 characters
mobile_app_shield
object
os_type
string
default: ANDROID
Allowed values: ANDROID IOS
release_version
release_version

Version of mobile app shield release.

string
<= 32 characters
mobile_integrator
object
os_type
string
default: ANDROID
Allowed values: ANDROID IOS
release_version
release_version

Version of mobile integrator release.

string
<= 32 characters
mobile_sdk
object
os_type
string
default: ANDROID
Allowed values: ANDROID IOS
release_version
release_version

Version of mobile SDK release.

string
<= 1024 characters
name
name

Name of the stored_object. Required: YES.

string
>= 1 characters <= 512 characters
namespace
namespace

Namespace in which object is to be created Required: YES.

string
>= 6 characters <= 1024 characters
no_attributes
object
object_type
object_type

Type of the stored_object Required: YES.

string
<= 1024 characters
string_value
contents

Exclusive with [bytes_value] String formatted contents.

string
<= 5242880 characters
mobile_sdk_self_serve
object
os_type
string
default: ANDROID
Allowed values: ANDROID IOS
release_version
release_version

Version of mobile SDK release.

string
<= 1024 characters

A successful response.

Media typeapplication/json
CreateObjectResponse

Response message for CreateObject API.

object
metadata
object
creation_timestamp
creation_timestamp

Creation date & time for the object

Required: YES.

string format: date-time
<= 1024 characters
description
description

Optional field, the Description for the object.

string
>= 21 characters <= 512 characters
mobile_app_shield
object
os_type
string
default: ANDROID
Allowed values: ANDROID IOS
release_version
release_version

Version of mobile app shield release.

string
<= 32 characters
mobile_integrator
object
os_type
string
default: ANDROID
Allowed values: ANDROID IOS
release_version
release_version

Version of mobile integrator release.

string
<= 32 characters
mobile_sdk
object
os_type
string
default: ANDROID
Allowed values: ANDROID IOS
release_version
release_version

Version of mobile SDK release.

string
<= 1024 characters
name
name

Name of the stored object

Required: YES.

string
>= 6 characters <= 1024 characters
namespace
namespace

Namespace of the stored object

Required: YES.

string
>= 6 characters <= 1024 characters
no_attributes
object
url
url

URL of the stored object

Required: YES.

string format: uri
<= 1024 characters
version
version

Version of the stored object

Required: YES.

string
>= 1 characters <= 1024 characters
mobile_sdk_self_serve
object
os_type
string
default: ANDROID
Allowed values: ANDROID IOS
release_version
release_version

Version of mobile SDK release.

string
<= 1024 characters
no_additional_info
object
presigned_url
object
aws
object
method
string
default: ANY
Allowed values: ANY GET HEAD POST PUT DELETE CONNECT OPTIONS TRACE PATCH COPY
url
url

The URL to upload or download the resource.

string format: uri
<= 1024 characters
status
string
default: STORED_OBJECT_STATUS_NONE
Allowed values: STORED_OBJECT_STATUS_NONE STORED_OBJECT_STATUS_CREATED STORED_OBJECT_STATUS_UPDATED STORED_OBJECT_STATUS_ALREADY_EXISTS
Example
{
"metadata": {
"mobile_app_shield": {
"os_type": "ANDROID"
},
"mobile_integrator": {
"os_type": "ANDROID"
},
"mobile_sdk": {
"os_type": "ANDROID"
},
"mobile_sdk_self_serve": {
"os_type": "ANDROID"
}
},
"presigned_url": {
"aws": {
"method": "ANY"
}
},
"status": "STORED_OBJECT_STATUS_NONE"
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example